GNU logs - #28766, boring messages


Message sent to bug-coreutils@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: bug#28766: Req. for correction: don't display non-platform fields in "stat". & block number derivation?
Resent-From: L A Walsh <coreutils@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: bug-coreutils@HIDDEN
Resent-Date: Mon, 09 Oct 2017 19:43:01 +0000
Resent-Message-ID: <handler.28766.B.150757812623747 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: report 28766
X-GNU-PR-Package: coreutils
X-GNU-PR-Keywords: 
To: 28766 <at> debbugs.gnu.org
X-Debbugs-Original-To: bug-coreutils@HIDDEN
Received: via spool by submit <at> debbugs.gnu.org id=B.150757812623747
          (code B ref -1); Mon, 09 Oct 2017 19:43:01 +0000
Received: (at submit) by debbugs.gnu.org; 9 Oct 2017 19:42:06 +0000
Received: from localhost ([127.0.0.1]:58643 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1e1dwE-0006Ax-DW
	for submit <at> debbugs.gnu.org; Mon, 09 Oct 2017 15:42:06 -0400
Received: from eggs.gnu.org ([208.118.235.92]:39444)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <coreutils@HIDDEN>) id 1e1dwC-0006AS-LX
 for submit <at> debbugs.gnu.org; Mon, 09 Oct 2017 15:42:04 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <coreutils@HIDDEN>) id 1e1dw6-0001hC-QL
 for submit <at> debbugs.gnu.org; Mon, 09 Oct 2017 15:41:59 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-1.9 required=5.0 tests=BAYES_00 autolearn=disabled
 version=3.3.2
Received: from lists.gnu.org ([2001:4830:134:3::11]:59678)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <coreutils@HIDDEN>) id 1e1dw6-0001h7-NN
 for submit <at> debbugs.gnu.org; Mon, 09 Oct 2017 15:41:58 -0400
Received: from eggs.gnu.org ([2001:4830:134:3::10]:58631)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <coreutils@HIDDEN>) id 1e1dw5-0001ZG-Js
 for bug-coreutils@HIDDEN; Mon, 09 Oct 2017 15:41:58 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <coreutils@HIDDEN>) id 1e1dw2-0001fq-Gj
 for bug-coreutils@HIDDEN; Mon, 09 Oct 2017 15:41:57 -0400
Received: from ishtar.tlinx.org ([173.164.175.65]:53806
 helo=Ishtar.sc.tlinx.org)
 by eggs.gnu.org with esmtps (TLS1.0:DHE_RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <coreutils@HIDDEN>) id 1e1dw2-0001fV-6p
 for bug-coreutils@HIDDEN; Mon, 09 Oct 2017 15:41:54 -0400
Received: from [192.168.3.12] (Athenae [192.168.3.12])
 by Ishtar.sc.tlinx.org (8.14.7/8.14.4/SuSE Linux 0.8) with ESMTP id
 v99JfnxO011324
 for <bug-coreutils@HIDDEN>; Mon, 9 Oct 2017 12:41:51 -0700
Message-ID: <59DBD0FD.9070808@HIDDEN>
Date: Mon, 09 Oct 2017 12:41:49 -0700
From: L A Walsh <coreutils@HIDDEN>
User-Agent: Thunderbird
MIME-Version: 1.0
Content-Type: text/plain; charset=UTF-8; format=flowed
Content-Transfer-Encoding: 7bit
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x (no
 timestamps) [generic] [fuzzy]
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6.x
X-Received-From: 2001:4830:134:3::11
X-Spam-Score: -5.0 (-----)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -5.0 (-----)

when I display 'stat', it displays fields my platform doesn't know
about.

Utilities "shouldn't" display fields that are specific to other platforms.

Specifically, I'm not aware of a linux (or, for that matter, a POSIX)
"Birth time".  Things are confusing enough w/o adding in other platform
info, like I used "." for input to stat and got:
  File: .
  Size: 8192        Blocks: 24         IO Block: 4096   directory
Device: 821h/2081d  Inode: 33394       Links: 7
Access: (0775/drwxrwxr-x)  Uid: (    0/    root)   Gid: (    0/    root)
Access: 2017-10-09 10:56:22.969487183 -0700
...
--------------
Where Size/Blocks & IO Block are a bit confusing --

I.e. -- where does the "24" blocks come from?  It looks like
it is only 2 (x4096) blocks long from the ls output:

  Ishtar:/etc/sysconfig> ll -d .
  drwxrwxr-x 7 8192 Oct  9 10:53 ./

This is verified by looking at output from xfs_bmap.

So .. where does the "24" blocks come from?

Thanks...
-linda










Message sent:


Content-Disposition: inline
Content-Transfer-Encoding: quoted-printable
MIME-Version: 1.0
X-Mailer: MIME-tools 5.505 (Entity 5.505)
Content-Type: text/plain; charset=utf-8
X-Loop: help-debbugs@HIDDEN
From: help-debbugs@HIDDEN (GNU bug Tracking System)
To: L A Walsh <coreutils@HIDDEN>
Subject: bug#28766: Acknowledgement (Req. for correction: don't display
 non-platform fields in "stat". & block number derivation?)
Message-ID: <handler.28766.B.150757812623747.ack <at> debbugs.gnu.org>
References: <59DBD0FD.9070808@HIDDEN>
X-Gnu-PR-Message: ack 28766
X-Gnu-PR-Package: coreutils
Reply-To: 28766 <at> debbugs.gnu.org
Date: Mon, 09 Oct 2017 19:43:02 +0000

Thank you for filing a new bug report with debbugs.gnu.org.

This is an automatically generated reply to let you know your message
has been received.

Your message is being forwarded to the package maintainers and other
interested parties for their attention; they will reply in due course.

Your message has been sent to the package maintainer(s):
 bug-coreutils@HIDDEN

If you wish to submit further information on this problem, please
send it to 28766 <at> debbugs.gnu.org.

Please do not send mail to help-debbugs@HIDDEN unless you wish
to report a problem with the Bug-tracking system.

--=20
28766: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=3D28766
GNU Bug Tracking System
Contact help-debbugs@HIDDEN with problems


Message received at control <at> debbugs.gnu.org:


Received: (at control) by debbugs.gnu.org; 30 Oct 2018 01:29:45 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Oct 29 21:29:45 2018
Received: from localhost ([127.0.0.1]:52441 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gHIqm-0002MG-W8
	for submit <at> debbugs.gnu.org; Mon, 29 Oct 2018 21:29:45 -0400
Received: from mail-pf1-f170.google.com ([209.85.210.170]:44946)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <assafgordon@HIDDEN>) id 1gHIql-0002M3-Ip
 for control <at> debbugs.gnu.org; Mon, 29 Oct 2018 21:29:43 -0400
Received: by mail-pf1-f170.google.com with SMTP id j13-v6so1426379pff.11
 for <control <at> debbugs.gnu.org>; Mon, 29 Oct 2018 18:29:43 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=to:from:message-id:date:user-agent:mime-version:content-language
 :content-transfer-encoding;
 bh=QBMlCqzD/rpZRkENJpMD9BVnZElPSLQv03pAmdz6o08=;
 b=pkX5jOjhlex1g9GMYiyE1Hobn+RznlDhhlAMF5VvnmBnJUkskWQnqOnmowmwt6KJ9G
 Wo0VCE0xIGp5o3dV3IEIWKMp3w7rcIm7JMK+JZnY7PIbA/usukVYryGXEciHe8VKvvFR
 DswZk8Td8Y/hwfgcLRrnHfadc2WXCevdUt8w7OLh03d7dglArjXxnq8HnYV2BpXBZPUZ
 nedp/0hE+WQpkZuRJolgnt/GWKo+BCfbv7s0W0mWZ7G/JEwKfVHwEBePDScW4j9lYEeu
 MqUQsQs4z74Rzkr1jQ+oFvF3GDWSqkeASucxIxcMhb5QaChWerzPWaEX1p7Z21MQSTu/
 2CJA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:to:from:message-id:date:user-agent:mime-version
 :content-language:content-transfer-encoding;
 bh=QBMlCqzD/rpZRkENJpMD9BVnZElPSLQv03pAmdz6o08=;
 b=kyqvqQzRwZwcFScSg+qh4cwELtacqimrE+8iFzat9Xy81Re16lUNRltnM6NyyPThRG
 YmhJE6ShzsEQ3rDjhpOjMxUuuMZ1AZhZzrmx1Ae3lIEWNwOLe7/LWh843kMh+n4sCSHh
 hSvql4ST/KrOjF5A2OA7L0786HKgw6rgxskWFZGbG2hNkiLZaZPni3mHtp9tCBVA2GZW
 9JDDfHcIOWyMoQ2Pmp9hWEXttkauiZqmgmmQ+8s0V2VMaDiYsll0Gd0lRx/6YOSu2wum
 PW1jHJAzSOJUs2Jmuu3DmFQGjE7DG0MO2Wga4OSV3jWchFZa24SbOi9Qjqfxq7bP5boD
 htnQ==
X-Gm-Message-State: AGRZ1gKr9JJnKDavgVc+dOA7LGUzXQPc0cNriwELACN4SjPhjo4niRxg
 ePk0NxoVuBGE66oHIRD4EMJkxOJaq7I=
X-Google-Smtp-Source: AJdET5ctz5l05ebEyWqxs8j0RsR+aXrtEZV5apHg3T5ncB5FUb9xlsX2hlWkqTK8iGfHDo2nTcHKDg==
X-Received: by 2002:a63:7cf:: with SMTP id 198mr16304182pgh.129.1540862977327; 
 Mon, 29 Oct 2018 18:29:37 -0700 (PDT)
Received: from tomato.housegordon.com (moose.housegordon.com. [184.68.105.38])
 by smtp.googlemail.com with ESMTPSA id
 j5-v6sm25196667pgm.79.2018.10.29.18.29.35
 for <control <at> debbugs.gnu.org>
 (version=TLS1_2 cipher=ECDHE-RSA-AES128-GCM-SHA256 bits=128/128);
 Mon, 29 Oct 2018 18:29:36 -0700 (PDT)
To: control <at> debbugs.gnu.org
From: Assaf Gordon <assafgordon@HIDDEN>
Message-ID: <c61ab03d-a16a-9c04-166e-c97a4e693b08@HIDDEN>
Date: Mon, 29 Oct 2018 19:29:34 -0600
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:60.0) Gecko/20100101
 Thunderbird/60.2.1
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Language: en-US
Content-Transfer-Encoding: 7bit
X-Spam-Score: 2.0 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview:  severity 28766 wishlist retitle 28766 stat: don't display
 non-platform fields [...] 
 Content analysis details:   (2.0 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 0.0 RCVD_IN_MSPIKE_H3      RBL: Good reputation (+3)
 [209.85.210.170 listed in wl.mailspike.net]
 -0.0 RCVD_IN_DNSWL_NONE     RBL: Sender listed at http://www.dnswl.org/, no
 trust [209.85.210.170 listed in list.dnswl.org]
 -0.0 SPF_PASS               SPF: sender matches SPF record
 0.0 FREEMAIL_FROM Sender email is commonly abused enduser mail provider
 (assafgordon[at]gmail.com)
 0.0 RCVD_IN_MSPIKE_WL      Mailspike good senders
 1.8 MISSING_SUBJECT        Missing Subject: header
 0.2 NO_SUBJECT             Extra score for no subject
X-Debbugs-Envelope-To: control
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 1.0 (+)

severity 28766 wishlist
retitle 28766 stat: don't display non-platform fields




Message received at control <at> debbugs.gnu.org:


Received: (at control) by debbugs.gnu.org; 30 Oct 2018 01:29:45 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Oct 29 21:29:45 2018
Received: from localhost ([127.0.0.1]:52441 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gHIqm-0002MG-W8
	for submit <at> debbugs.gnu.org; Mon, 29 Oct 2018 21:29:45 -0400
Received: from mail-pf1-f170.google.com ([209.85.210.170]:44946)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <assafgordon@HIDDEN>) id 1gHIql-0002M3-Ip
 for control <at> debbugs.gnu.org; Mon, 29 Oct 2018 21:29:43 -0400
Received: by mail-pf1-f170.google.com with SMTP id j13-v6so1426379pff.11
 for <control <at> debbugs.gnu.org>; Mon, 29 Oct 2018 18:29:43 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=to:from:message-id:date:user-agent:mime-version:content-language
 :content-transfer-encoding;
 bh=QBMlCqzD/rpZRkENJpMD9BVnZElPSLQv03pAmdz6o08=;
 b=pkX5jOjhlex1g9GMYiyE1Hobn+RznlDhhlAMF5VvnmBnJUkskWQnqOnmowmwt6KJ9G
 Wo0VCE0xIGp5o3dV3IEIWKMp3w7rcIm7JMK+JZnY7PIbA/usukVYryGXEciHe8VKvvFR
 DswZk8Td8Y/hwfgcLRrnHfadc2WXCevdUt8w7OLh03d7dglArjXxnq8HnYV2BpXBZPUZ
 nedp/0hE+WQpkZuRJolgnt/GWKo+BCfbv7s0W0mWZ7G/JEwKfVHwEBePDScW4j9lYEeu
 MqUQsQs4z74Rzkr1jQ+oFvF3GDWSqkeASucxIxcMhb5QaChWerzPWaEX1p7Z21MQSTu/
 2CJA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:to:from:message-id:date:user-agent:mime-version
 :content-language:content-transfer-encoding;
 bh=QBMlCqzD/rpZRkENJpMD9BVnZElPSLQv03pAmdz6o08=;
 b=kyqvqQzRwZwcFScSg+qh4cwELtacqimrE+8iFzat9Xy81Re16lUNRltnM6NyyPThRG
 YmhJE6ShzsEQ3rDjhpOjMxUuuMZ1AZhZzrmx1Ae3lIEWNwOLe7/LWh843kMh+n4sCSHh
 hSvql4ST/KrOjF5A2OA7L0786HKgw6rgxskWFZGbG2hNkiLZaZPni3mHtp9tCBVA2GZW
 9JDDfHcIOWyMoQ2Pmp9hWEXttkauiZqmgmmQ+8s0V2VMaDiYsll0Gd0lRx/6YOSu2wum
 PW1jHJAzSOJUs2Jmuu3DmFQGjE7DG0MO2Wga4OSV3jWchFZa24SbOi9Qjqfxq7bP5boD
 htnQ==
X-Gm-Message-State: AGRZ1gKr9JJnKDavgVc+dOA7LGUzXQPc0cNriwELACN4SjPhjo4niRxg
 ePk0NxoVuBGE66oHIRD4EMJkxOJaq7I=
X-Google-Smtp-Source: AJdET5ctz5l05ebEyWqxs8j0RsR+aXrtEZV5apHg3T5ncB5FUb9xlsX2hlWkqTK8iGfHDo2nTcHKDg==
X-Received: by 2002:a63:7cf:: with SMTP id 198mr16304182pgh.129.1540862977327; 
 Mon, 29 Oct 2018 18:29:37 -0700 (PDT)
Received: from tomato.housegordon.com (moose.housegordon.com. [184.68.105.38])
 by smtp.googlemail.com with ESMTPSA id
 j5-v6sm25196667pgm.79.2018.10.29.18.29.35
 for <control <at> debbugs.gnu.org>
 (version=TLS1_2 cipher=ECDHE-RSA-AES128-GCM-SHA256 bits=128/128);
 Mon, 29 Oct 2018 18:29:36 -0700 (PDT)
To: control <at> debbugs.gnu.org
From: Assaf Gordon <assafgordon@HIDDEN>
Message-ID: <c61ab03d-a16a-9c04-166e-c97a4e693b08@HIDDEN>
Date: Mon, 29 Oct 2018 19:29:34 -0600
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:60.0) Gecko/20100101
 Thunderbird/60.2.1
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Language: en-US
Content-Transfer-Encoding: 7bit
X-Spam-Score: 2.0 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview:  severity 28766 wishlist retitle 28766 stat: don't display
 non-platform fields [...] 
 Content analysis details:   (2.0 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 0.0 RCVD_IN_MSPIKE_H3      RBL: Good reputation (+3)
 [209.85.210.170 listed in wl.mailspike.net]
 -0.0 RCVD_IN_DNSWL_NONE     RBL: Sender listed at http://www.dnswl.org/, no
 trust [209.85.210.170 listed in list.dnswl.org]
 -0.0 SPF_PASS               SPF: sender matches SPF record
 0.0 FREEMAIL_FROM Sender email is commonly abused enduser mail provider
 (assafgordon[at]gmail.com)
 0.0 RCVD_IN_MSPIKE_WL      Mailspike good senders
 1.8 MISSING_SUBJECT        Missing Subject: header
 0.2 NO_SUBJECT             Extra score for no subject
X-Debbugs-Envelope-To: control
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 1.0 (+)

severity 28766 wishlist
retitle 28766 stat: don't display non-platform fields





Last modified: Tue, 30 Oct 2018 01:45:01 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.